post
https://api.exponea.com/data/v2/projects//analyses/funnel
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Definition
Authorization
In this API call you must use the following authorization access and permissions:
| Available access type | Permissions needed |
|---|---|
| Private access | GDPR > Export analyses > Allow |
Read more about:
Path parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
| projectToken | string | The ID of your project. | Required |
Body Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
| analysis_id | string | The ID of the funnel you want to retrieve. This can be found in the URL when editing an analyses. | Required |
| execution_time | string | To which timestamp should the funnel be evaluated. The default value is current time. | No |
| timezone | string | Which timezone should the customer filter and attributes be evaluated on. The default value is UTC. | No |
| format | string | How should the funnel output be formatted.
| Required |
Header
| Parameter | Type | Description | Required |
|---|---|---|---|
| authorization | string | Used for authentication. Read more in the Authentication section. | Required |
| content-type | string | application/json | Required |
Response description
JSON format
| Attribute | Type | Description |
|---|---|---|
| name | string | The name of the requested funnel, as displayed in the app. |
| header | array of string | Names of the columns. Column "serie" can be "Total" or name of drilldown parameter. Other columns represent individual steps actual value or durations. |
| rows | array of arrays of values | Values of rows as indicated by header. |
| success | boolean | Result status |
Additional payload and response examples
{
"analysis_id": "606451761e01abb0d591a5a7",
"timezone": "Europe/Bratislava",
"format": "csv"
}serie,step 1 purchase count,step 2 purchase count,step 2 purchase duration from previous
Total,3,1,17
online,2,1,17
store,1,0,-1{
"header": [
"serie",
"step 1 purchase count",
"step 2 purchase count",
"step 2 purchase duration from previous"
],
"name": "repurchase funnel",
"rows": [
[
"Total",
3,
1,
17
],
[
"online",
2,
1,
17
],
[
"store",
1,
0,
-1
]
],
"success": true
}